Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

Get choosable license types

Returns all license types that can be selected for content.

Names and descriptions are localized according to the requested ISO 639-1 language code.

GET/api/choosable-license-types
Query parameters
langstring

ISO 639-1 language code. Defaults to English.

min length 2 · max length 2 · default: "en"
Responses
200

License types found.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:200
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableLicenseTypes.ChoosableLicenseTypesMetadata

Metadata returned by the choosable license types endpoint.

Show properties
languagestring

ISO 639-1 language code used for localization.

license_countinteger

Number of returned license types.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataGetChoosableLicenseTypes.LicenseType[]required

List of available license types.

Show properties
Array of GetChoosableLicenseTypes.LicenseType
keystring | anyrequired

Internal identifier of the license type.

Show properties
Any of:
string
string
any
any
namestring | anyrequired

Localized name of the license type.

Show properties
Any of:
string
string
any
any
descriptionstring | anyrequired

Optional localized description of the license type.

Show properties
Any of:
string
string
any
any
messagestring

Human-readable response message.

404

No license types found.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:404
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableLicenseTypes.ChoosableLicenseTypesMetadata

Metadata returned by the choosable license types endpoint.

Show properties
languagestring

ISO 639-1 language code used for localization.

license_countinteger

Number of returned license types.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

500

Internal server error.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:500
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableLicenseTypes.ChoosableLicenseTypesMetadata

Metadata returned by the choosable license types endpoint.

Show properties
languagestring

ISO 639-1 language code used for localization.

license_countinteger

Number of returned license types.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

Try it
Server
Parameters
Request
curl -X GET "https://api.kulturbytes.de/api/choosable-license-types"
Response
{
  "service": "Uranus API",
  "api_version": "1.0",
  "response_type": "get-chooseable-license-types",
  "status": 200,
  "timestamp": "2026-09-20T09:45:16Z",
  "metadata": {
    "language": "en",
    "license_count": 10,
    "response_time_ms": 3
  },
  "data": [
    {
      "key": "all-rights-reserved",
      "name": "All Rights Reserved",
      "description": null
    },
    {
      "key": "cc-by",
      "name": "CC BY – Attribution",
      "description": null
    },
    {
      "key": "cc-by-nc",
      "name": "CC BY-NC – Attribution-NonCommercial",
      "description": null
    },
    {
      "key": "cc-by-nc-nd",
      "name": "CC BY-NC-ND – Attribution-NonCommercial-NoDerivatives",
      "description": null
    },
    {
      "key": "cc-by-nc-sa",
      "name": "CC BY-NC-SA – Attribution-NonCommercial-ShareAlike",
      "description": null
    },
    {
      "key": "cc-by-nd",
      "name": "CC BY-ND – Attribution-NoDerivatives",
      "description": null
    },
    {
      "key": "cc-by-sa",
      "name": "CC BY-SA – Attribution-ShareAlike",
      "description": null
    },
    {
      "key": "cc0",
      "name": "CC0 – Public Domain",
      "description": null
    },
    {
      "key": "mit",
      "name": "MIT License",
      "description": null
    },
    {
      "key": "pd",
      "name": "Public Domain",
      "description": null
    }
  ]
}